#include<iostream>
#define endl "\n"

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    long long n;
    cin >> n;

    long long ans = 0;
    /*
    for (long long i = 1; i <= n; i++) {
        if (n % i == 0) {
            for (long long j = n / i; j <= n; j++) {
                if (n % j == 0) {
                    for (long long q = n / j; q <= n; q++) {
                        if (i * j * q == n) ans++;
                    }
                }else if()
            }
        }
    }
    */

    for (long long i = 1; i <= n; i++) {
        if (n % i == 0) {
            for (long long j = i; j <= n / i; j++) {
                if (n % j == 0) {
                    for (int q = j; q <= n / j; q++) {
                        if (i * j * q == n) ans++;
                    }
                }
            }
        }
    }

    cout << ans;
    cout << endl;

    return 0;
}